/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package EmployeeManagement;

import Service.EmployeeService;
import java.awt.Font;
import java.awt.Image;
import javax.swing.ButtonGroup;
import javax.swing.ImageIcon;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.UIManager;
import model.Employee;

/**
 * e
 *
 * @author ASUS
 */
public class AddEmployeeFrame extends javax.swing.JFrame {

    EmployeeService empService = new EmployeeService();
    Employee editedEmp = new Employee();
    ButtonGroup gender = new ButtonGroup();
    ButtonGroup status = new ButtonGroup();
    ButtonGroup position = new ButtonGroup();
    private int currentEmpId = empService.getLast().getEmpId() + 1;

    /**
     * Creates new form AddEmployeeFrame
     */
    public AddEmployeeFrame() {
        this.setUndecorated(true);
        initComponents();
        textId.setText(Integer.toString(currentEmpId));
        setRadioGroup();
        setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
        UIManager.put("OptionPane.messageFont", new Font("Tahoma", Font.BOLD, 14));
    }

    public void setRadioGroup() {
        gender.add(rdomale);
        gender.add(rdofemale);
        status.add(rdomarry);
        status.add(rdoSingle);
        status.add(rdoOther);
        position.add(rdoManager);
        position.add(rdoStaff);
        rdoManager.setSelected(true);
        rdomale.setSelected(true);
        rdoSingle.setSelected(true);
    }

    public boolean isFoundTxtEmpty() {
        if (textName.getText().isBlank() || textSurname.getText().isBlank() || textNat.getText().isBlank() || textRel.getText().isBlank() || textTel.getText().isBlank() || textAddress.getText().isBlank() || textEmail.getText().isBlank() || textPassword.getText().isBlank()) {
            return true;
        } else {
            return false;
        }
    }

    public boolean isFoundTxtFiled() {
        if (!textName.getText().isBlank() || !textSurname.getText().isBlank() || !textNat.getText().isBlank() || !textRel.getText().isBlank() || !textTel.getText().isBlank() || !textAddress.getText().isBlank() || !textEmail.getText().isBlank() || !textPassword.getText().isBlank()) {
            return true;
        } else {
            return false;
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        JFC1 = new javax.swing.JFileChooser();
        Part1Panel1 = new javax.swing.JPanel();
        jLabel7 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        rdomale = new javax.swing.JRadioButton();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        rdoSingle = new javax.swing.JRadioButton();
        rdomarry = new javax.swing.JRadioButton();
        rdofemale = new javax.swing.JRadioButton();
        rdoOther = new javax.swing.JRadioButton();
        jLabel14 = new javax.swing.JLabel();
        textId = new javax.swing.JTextField();
        textName = new javax.swing.JTextField();
        jLabel15 = new javax.swing.JLabel();
        textSurname = new javax.swing.JTextField();
        textDob = new javax.swing.JTextField();
        textTel = new javax.swing.JTextField();
        textNat = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        textRel = new javax.swing.JTextField();
        textAddress = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        textEmail = new javax.swing.JTextField();
        jLabel21 = new javax.swing.JLabel();
        btnImage = new javax.swing.JButton();
        btnsave = new javax.swing.JButton();
        btnClose = new javax.swing.JButton();
        btnCancle = new javax.swing.JButton();
        btnDelImg = new javax.swing.JButton();
        jpImage = new javax.swing.JPanel();
        lbImage = new javax.swing.JLabel();
        textPassword = new javax.swing.JPasswordField();
        jLabel16 = new javax.swing.JLabel();
        rdoManager = new javax.swing.JRadioButton();
        rdoStaff = new javax.swing.JRadioButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setLocation(new java.awt.Point(400, 150));

        Part1Panel1.setBackground(new java.awt.Color(211, 197, 186));
        Part1Panel1.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(153, 153, 153), 2, true));

        jLabel7.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel7.setText("รหัสพนักงาน:");

        jLabel9.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel9.setText("นามสกุล:");

        jLabel11.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel11.setText("วัน/เดือน/ปี เกิด:");

        rdomale.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        rdomale.setText("ชาย");
        rdomale.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rdomaleActionPerformed(evt);
            }
        });

        jLabel12.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel12.setText("เพศ:");

        jLabel13.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel13.setText("สถานภาพ:");

        rdoSingle.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        rdoSingle.setText("โสด");
        rdoSingle.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rdoSingleActionPerformed(evt);
            }
        });

        rdomarry.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        rdomarry.setText("สมรส");

        rdofemale.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        rdofemale.setText("หญิง");
        rdofemale.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rdofemaleActionPerformed(evt);
            }
        });

        rdoOther.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        rdoOther.setText("หย่า / แยกกันอยู่ / หม้าย");
        rdoOther.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rdoOtherActionPerformed(evt);
            }
        });

        jLabel14.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel14.setText("เบอร์โทรศัพท์:");

        textId.setEditable(false);
        textId.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        textId.setFocusable(false);
        textId.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                textIdActionPerformed(evt);
            }
        });

        textName.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N

        jLabel15.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel15.setText("ชื่อ: ");

        textSurname.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N

        textDob.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N

        textTel.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        textTel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                textTelActionPerformed(evt);
            }
        });

        textNat.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        textNat.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                textNatActionPerformed(evt);
            }
        });

        jLabel17.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel17.setText("ศาสนา:");

        jLabel19.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel19.setText("สัญชาติ:");

        textRel.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N

        textAddress.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        textAddress.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        textAddress.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                textAddressActionPerformed(evt);
            }
        });

        jLabel18.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel18.setText("ที่อยู่:");

        jLabel20.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel20.setText("Email:");

        textEmail.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        textEmail.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                textEmailActionPerformed(evt);
            }
        });

        jLabel21.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel21.setText("password:");

        btnImage.setBackground(new java.awt.Color(84, 70, 63));
        btnImage.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        btnImage.setForeground(new java.awt.Color(255, 255, 255));
        btnImage.setText("แนบ");
        btnImage.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnImageActionPerformed(evt);
            }
        });

        btnsave.setBackground(new java.awt.Color(84, 70, 63));
        btnsave.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        btnsave.setForeground(new java.awt.Color(255, 255, 255));
        btnsave.setText("บันทึก");
        btnsave.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnsaveActionPerformed(evt);
            }
        });

        btnClose.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnClose.setText("X");
        btnClose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCloseActionPerformed(evt);
            }
        });

        btnCancle.setBackground(new java.awt.Color(84, 70, 63));
        btnCancle.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        btnCancle.setForeground(new java.awt.Color(255, 255, 255));
        btnCancle.setText("ยกเลิก");
        btnCancle.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancleActionPerformed(evt);
            }
        });

        btnDelImg.setBackground(new java.awt.Color(85, 68, 68));
        btnDelImg.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        btnDelImg.setForeground(new java.awt.Color(255, 255, 255));
        btnDelImg.setText("ลบรูปภาพ");
        btnDelImg.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnDelImg.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDelImgActionPerformed(evt);
            }
        });

        jpImage.setBackground(new java.awt.Color(255, 255, 255));

        lbImage.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        lbImage.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lbImage.setText("รูปภาพ");

        javax.swing.GroupLayout jpImageLayout = new javax.swing.GroupLayout(jpImage);
        jpImage.setLayout(jpImageLayout);
        jpImageLayout.setHorizontalGroup(
            jpImageLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jpImageLayout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(lbImage, javax.swing.GroupLayout.PREFERRED_SIZE, 131, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jpImageLayout.setVerticalGroup(
            jpImageLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jpImageLayout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(lbImage, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        jLabel16.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel16.setText("สถานะ:");

        rdoManager.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        rdoManager.setText("ผู้จัดการ");

        rdoStaff.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        rdoStaff.setText("พนักงาน");

        javax.swing.GroupLayout Part1Panel1Layout = new javax.swing.GroupLayout(Part1Panel1);
        Part1Panel1.setLayout(Part1Panel1Layout);
        Part1Panel1Layout.setHorizontalGroup(
            Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Part1Panel1Layout.createSequentialGroup()
                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(Part1Panel1Layout.createSequentialGroup()
                            .addGap(14, 14, 14)
                            .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                .addComponent(jLabel18)
                                .addComponent(jLabel7)
                                .addComponent(jLabel11)
                                .addComponent(jLabel19)
                                .addComponent(jLabel14)))
                        .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Part1Panel1Layout.createSequentialGroup()
                            .addContainerGap()
                            .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(jLabel20, javax.swing.GroupLayout.Alignment.TRAILING)
                                .addComponent(jLabel21, javax.swing.GroupLayout.Alignment.TRAILING)
                                .addComponent(jLabel16, javax.swing.GroupLayout.Alignment.TRAILING))))
                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                        .addGap(61, 61, 61)
                        .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jLabel13)
                            .addComponent(jLabel15, javax.swing.GroupLayout.PREFERRED_SIZE, 28, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(textId, javax.swing.GroupLayout.PREFERRED_SIZE, 132, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(Part1Panel1Layout.createSequentialGroup()
                                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                                        .addComponent(textNat, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(jLabel17))
                                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, Part1Panel1Layout.createSequentialGroup()
                                        .addComponent(textDob, javax.swing.GroupLayout.PREFERRED_SIZE, 132, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(jLabel12))
                                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, Part1Panel1Layout.createSequentialGroup()
                                        .addComponent(textName, javax.swing.GroupLayout.PREFERRED_SIZE, 132, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                        .addComponent(jLabel9)))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(textSurname, javax.swing.GroupLayout.DEFAULT_SIZE, 130, Short.MAX_VALUE)
                                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                                        .addComponent(rdomale)
                                        .addGap(27, 27, 27)
                                        .addComponent(rdofemale))
                                    .addComponent(textRel)))
                            .addComponent(textTel, javax.swing.GroupLayout.PREFERRED_SIZE, 144, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(textAddress)
                            .addGroup(Part1Panel1Layout.createSequentialGroup()
                                .addComponent(rdoManager, javax.swing.GroupLayout.PREFERRED_SIZE, 98, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(rdoStaff, javax.swing.GroupLayout.PREFERRED_SIZE, 98, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(textEmail)
                            .addComponent(textPassword)))
                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                        .addGap(30, 30, 30)
                        .addComponent(rdoSingle))
                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                        .addGap(96, 96, 96)
                        .addComponent(rdomarry)
                        .addGap(18, 18, 18)
                        .addComponent(rdoOther)))
                .addGap(69, 69, 69)
                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                        .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(btnImage, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnsave))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(btnDelImg, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnCancle, javax.swing.GroupLayout.PREFERRED_SIZE, 78, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                        .addComponent(jpImage, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 22, Short.MAX_VALUE)
                        .addComponent(btnClose)
                        .addGap(10, 10, 10))))
        );
        Part1Panel1Layout.setVerticalGroup(
            Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Part1Panel1Layout.createSequentialGroup()
                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                        .addGap(14, 14, 14)
                        .addComponent(btnClose))
                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                        .addGap(34, 34, 34)
                        .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jpImage, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(Part1Panel1Layout.createSequentialGroup()
                                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(jLabel7, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                                        .addGap(4, 4, 4)
                                        .addComponent(textId, javax.swing.GroupLayout.DEFAULT_SIZE, 29, Short.MAX_VALUE)))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel15)
                                    .addComponent(textName, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jLabel9)
                                    .addComponent(textSurname))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                        .addComponent(jLabel12)
                                        .addComponent(rdomale)
                                        .addComponent(rdofemale))
                                    .addComponent(jLabel11)
                                    .addComponent(textDob, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel17)
                                    .addComponent(textRel, javax.swing.GroupLayout.PREFERRED_SIZE, 29, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(textNat, javax.swing.GroupLayout.PREFERRED_SIZE, 29, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jLabel19))))))
                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(rdoSingle)
                            .addComponent(rdomarry)
                            .addComponent(rdoOther)
                            .addComponent(jLabel13))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel14)
                            .addComponent(textTel, javax.swing.GroupLayout.PREFERRED_SIZE, 29, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(Part1Panel1Layout.createSequentialGroup()
                        .addGap(1, 1, 1)
                        .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(btnImage, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(btnDelImg, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(btnCancle, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(btnsave, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel18)
                    .addComponent(textAddress, javax.swing.GroupLayout.PREFERRED_SIZE, 93, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(textEmail, javax.swing.GroupLayout.PREFERRED_SIZE, 29, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel20))
                .addGap(18, 18, 18)
                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel21)
                    .addComponent(textPassword, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(19, 19, 19)
                .addGroup(Part1Panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(rdoManager)
                    .addComponent(rdoStaff)
                    .addComponent(jLabel16))
                .addGap(33, 33, 33))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(Part1Panel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(Part1Panel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGap(0, 0, 0))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void rdomaleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rdomaleActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rdomaleActionPerformed

    private void rdoSingleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rdoSingleActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rdoSingleActionPerformed

    private void rdofemaleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rdofemaleActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rdofemaleActionPerformed

    private void rdoOtherActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rdoOtherActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rdoOtherActionPerformed

    private void textTelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_textTelActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_textTelActionPerformed

    private void btnImageActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnImageActionPerformed
        if (JFC1.showOpenDialog(btnImage) == JFileChooser.APPROVE_OPTION) {
            java.io.File f = JFC1.getSelectedFile();
            ImageIcon img = new ImageIcon(f.toString());
            Image scaleimage = img.getImage().getScaledInstance(114, 142, Image.SCALE_DEFAULT);
            img = new ImageIcon(scaleimage);
            //img.paintIcon(JFC1, null, 20, 20);
            lbImage.setIcon(img);
            lbImage.setText("");
        }
    }//GEN-LAST:event_btnImageActionPerformed

    private void btnsaveActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnsaveActionPerformed
        if (isFoundTxtEmpty() == false) {
            int result = JOptionPane.showConfirmDialog(null, "ต้องการที่จะบันทึกข้อมูลใช่หรือไม่\n", "บันทึกข้อมูล", JOptionPane.OK_CANCEL_OPTION,
                    JOptionPane.INFORMATION_MESSAGE);
            if (result == JOptionPane.OK_OPTION) {
                setEditedEmployee();
                empService.add(editedEmp);
                JOptionPane.showMessageDialog(null, "บันทึกข้อพนักงานลงฐานข้อมูลแล้ว", "บันทึกข้อมูลพนักงานแล้ว", JOptionPane.INFORMATION_MESSAGE);
                setVisible(false);
            }
        }
    }//GEN-LAST:event_btnsaveActionPerformed

    public void setEditedEmployee() throws NumberFormatException {
        editedEmp.setEmpId(Integer.valueOf(textId.getText()));
        editedEmp.setEmpName(textName.getText());
        editedEmp.setEmpSurname(textSurname.getText());
        editedEmp.setEmpTel(textTel.getText());
        editedEmp.setEmpUser(textEmail.getText());
        editedEmp.setEmpPassword(String.valueOf(textPassword.getPassword()));

        int pos = 1;
        if (rdoStaff.isSelected()) {
            pos = 2;
        }
        editedEmp.setEmpPosition(Integer.toString(pos));

        String gender = "หญิง";
        if (rdomale.isSelected()) {
            gender = "ชาย";
        }
        editedEmp.setEmpGender(gender);

        editedEmp.setEmpDob(textDob.getText());
        editedEmp.setEmpNat(textNat.getText());
        editedEmp.setEmpReligion(textRel.getText());

        String status = "โสด";
        if (rdomarry.isSelected()) {
            status = "แต่งงานแล้ว";
        } else if (rdoOther.isSelected()) {
            status = "อื่นๆ";
        }
        editedEmp.setEmpStatus(status);

        editedEmp.setEmpAdress(textAddress.getText());
    }

    private void btnCancleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancleActionPerformed
        if (isFoundTxtFiled() == true) {
            int result = JOptionPane.showConfirmDialog(null, "ต้องการลบข้อมูลที่กรอกไว้หรือไม่\n", "ยืนยันการลบข้อมูล", JOptionPane.YES_NO_OPTION,
                    JOptionPane.INFORMATION_MESSAGE);
            if (result == JOptionPane.YES_OPTION) {
                clearTextField();
            }
        } else {
            clearTextField();
        }
    }//GEN-LAST:event_btnCancleActionPerformed

    public void clearTextField() {
        textName.setText("");
        textSurname.setText("");
        textNat.setText("");
        textRel.setText("");
        textTel.setText("");
        textAddress.setText("");
        textEmail.setText("");
        textPassword.setText("");
    }

    private void btnCloseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCloseActionPerformed
        if (isFoundTxtFiled() == true) {
            int result = JOptionPane.showConfirmDialog(null, "ยกเลิกการบันทึกข้อมูลที่กรอกไว้หรือไม่\n", "ยกเลิกการบันทึกข้อมูล", JOptionPane.YES_NO_OPTION,
                    JOptionPane.INFORMATION_MESSAGE);
            if (result == JOptionPane.YES_OPTION) {
                clearTextField();
                this.setVisible(false);
            }
        } else {
            this.setVisible(false);
        }
    }//GEN-LAST:event_btnCloseActionPerformed

    private void textIdActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_textIdActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_textIdActionPerformed

    private void textAddressActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_textAddressActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_textAddressActionPerformed

    private void btnDelImgActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDelImgActionPerformed
        if (lbImage.getText().equals("Image")) {
            return;
        } else {
            int result = JOptionPane.showConfirmDialog(null, "ต้องการลบรูปภาพหรือไม่", "ลบรูปภาพ", JOptionPane.OK_CANCEL_OPTION, JOptionPane.INFORMATION_MESSAGE);
            if (result == JOptionPane.OK_OPTION) {
                lbImage.setIcon(null);
                lbImage.setText("Image");
            }
        }
    }//GEN-LAST:event_btnDelImgActionPerformed

    private void textNatActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_textNatActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_textNatActionPerformed

    private void textEmailActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_textEmailActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_textEmailActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(AddEmployeeFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(AddEmployeeFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(AddEmployeeFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(AddEmployeeFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new AddEmployeeFrame().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JFileChooser JFC1;
    private javax.swing.JPanel Part1Panel1;
    private javax.swing.JButton btnCancle;
    private javax.swing.JButton btnClose;
    private javax.swing.JButton btnDelImg;
    private javax.swing.JButton btnImage;
    private javax.swing.JButton btnsave;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jpImage;
    private javax.swing.JLabel lbImage;
    private javax.swing.JRadioButton rdoManager;
    private javax.swing.JRadioButton rdoOther;
    private javax.swing.JRadioButton rdoSingle;
    private javax.swing.JRadioButton rdoStaff;
    private javax.swing.JRadioButton rdofemale;
    private javax.swing.JRadioButton rdomale;
    private javax.swing.JRadioButton rdomarry;
    private javax.swing.JTextField textAddress;
    private javax.swing.JTextField textDob;
    private javax.swing.JTextField textEmail;
    private javax.swing.JTextField textId;
    private javax.swing.JTextField textName;
    private javax.swing.JTextField textNat;
    private javax.swing.JPasswordField textPassword;
    private javax.swing.JTextField textRel;
    private javax.swing.JTextField textSurname;
    private javax.swing.JTextField textTel;
    // End of variables declaration//GEN-END:variables
}
